using System.ComponentModel;
using Hotline.Exams.Base;
using SqlSugar;

namespace Hotline.Exams.Questions
{
    /// <summary>
    /// 试题选项
    /// </summary>
    [Description("试题选项")]
    public class ExamQuestionOptions:ExamBusinessEntity
    {
        /// <summary>
        /// 选项内容
        /// </summary>
        [SugarColumn(ColumnDescription ="选项内容")]
        [Description("选项内容")]
        public string Content { get; set; }

        /// <summary>
        /// 是否答案
        /// </summary>
        [SugarColumn(ColumnDescription = "是否答案")]
        [Description("是否答案")]
        public bool IsAnswer { get; set; }

        /// <summary>
        /// 试题
        /// </summary>
        [SugarColumn(ColumnDescription = "试题")]
        [Description("试题")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 选项题标
        /// </summary>
        [SugarColumn(ColumnDescription = "选项题标")]
        [Description("选项题标")]
        public string Label { get; set; }
    }
}
